! f90_stat.f90
!
! Module defining the run-time STAT values returned by ALLOCATE/DEALLOCATE
! for the NAGWare f95 Compiler.
!
! Copyright 2002-2008 The Numerical Algorithms Group Ltd., Oxford, U.K.
!
! Release 4.4: 1.1, 02/09/20
!
! Release 5.1: 1.3, 06/05/25
!
! Release 5.2: $Id: f90_stat.f90 1 2009-12-02 02:54:28Z Malcolm Cohen $
!
Module,Intrinsic :: f90_stat
  Integer,Parameter :: stat_no_memory = 1
  Integer,Parameter :: stat_already_allocated = 2
  Integer,Parameter :: stat_not_allocated = 3
  Integer,Parameter :: stat_not_associated = 4
  Integer,Parameter :: stat_wrong_colour = 5
  Integer,Parameter :: stat_pointer_undefined = 6
  Integer,Parameter :: stat_memory_limit_exceeded = 7
  Integer,Parameter :: stat_part_of_larger_object = 8
End Module
