VH 0 0 3 0 0 0
MODULE IEEE_ARITHMETIC,2 1 0
FILE 0,IEEE_arithmetic.f90
USE F90_KIND 2
USE IEEE_EXCEPTIONS 0
REF IEEE_FLAG_TYPE(IEEE_FLAG_TYPE@IEEE_EXCEPTIONS),1
REF IEEE_STATUS_TYPE(IEEE_STATUS_TYPE@IEEE_EXCEPTIONS),1
REF IEEE_ALL(IEEE_ALL@IEEE_EXCEPTIONS),1
REF IEEE_USUAL(IEEE_USUAL@IEEE_EXCEPTIONS),1
REF IEEE_INEXACT(IEEE_INEXACT@IEEE_EXCEPTIONS),1
REF IEEE_UNDERFLOW(IEEE_UNDERFLOW@IEEE_EXCEPTIONS),1
REF IEEE_OVERFLOW(IEEE_OVERFLOW@IEEE_EXCEPTIONS),1
REF IEEE_DIVIDE_BY_ZERO(IEEE_DIVIDE_BY_ZERO@IEEE_EXCEPTIONS),1
REF IEEE_INVALID(IEEE_INVALID@IEEE_EXCEPTIONS),1
REF IEEE_GET_HALTING_MODE(IEEE_GET_HALTING_MODE@IEEE_EXCEPTIONS),1
REF IEEE_SUPPORT_HALTING(IEEE_SUPPORT_HALTING@IEEE_EXCEPTIONS),1
REF IEEE_GET_STATUS(IEEE_GET_STATUS@IEEE_EXCEPTIONS),1
REF IEEE_SET_FLAG(IEEE_SET_FLAG@IEEE_EXCEPTIONS),1
REF IEEE_SET_HALTING_MODE(IEEE_SET_HALTING_MODE@IEEE_EXCEPTIONS),1
REF IEEE_SET_STATUS(IEEE_SET_STATUS@IEEE_EXCEPTIONS),1
REF IEEE_SUPPORT_FLAG(IEEE_SUPPORT_FLAG@IEEE_EXCEPTIONS),1
REF IEEE_GET_FLAG(IEEE_GET_FLAG@IEEE_EXCEPTIONS),1
TYPE IEEE_CLASS_TYPE,1,66,4
  CLASS(0): 1,3,3,0,0,0,2,0,0,0
ENDTYPE
TYPE IEEE_ROUND_TYPE,1,66,4
  ROUND(0): 1,3,3,0,0,0,2,0,0,0
ENDTYPE
PARAMETER IEEE_OTHER: 7,IEEE_ROUND_TYPE,b,0,0,4101,1,0,0,0
= 0 0 0 5
PARAMETER IEEE_DOWN: 7,IEEE_ROUND_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 4
PARAMETER IEEE_UP: 7,IEEE_ROUND_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 3
PARAMETER IEEE_TO_ZERO: 7,IEEE_ROUND_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 2
PARAMETER IEEE_NEAREST: 7,IEEE_ROUND_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 1
PARAMETER IEEE_OTHER_VALUE: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 b
PARAMETER IEEE_POSITIVE_INF: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 a
PARAMETER IEEE_POSITIVE_NORMAL: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 9
PARAMETER IEEE_POSITIVE_DENORMAL: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 8
PARAMETER IEEE_POSITIVE_ZERO: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 7
PARAMETER IEEE_NEGATIVE_ZERO: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 6
PARAMETER IEEE_NEGATIVE_DENORMAL: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 5
PARAMETER IEEE_NEGATIVE_NORMAL: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 4
PARAMETER IEEE_NEGATIVE_INF: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 3
PARAMETER IEEE_QUIET_NAN: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 2
PARAMETER IEEE_SIGNALING_NAN: 7,IEEE_CLASS_TYPE,b,0,0,4001,1,0,0,0
= 0 0 0 1
GMODPROC IEEE_SUPPORT_ROUNDING: IEEE_SUPPORT_ROUNDING_D
GMODPROC IEEE_SUPPORT_ROUNDING: IEEE_SUPPORT_ROUNDING_Q
GMODPROC IEEE_SUPPORT_ROUNDING: IEEE_SUPPORT_ROUNDING_R
GMODPROC IEEE_SUPPORT_ROUNDING: IEEE_SUPPORT_ROUNDING_X
GMODPROC IEEE_SUPPORT_DIVIDE: IEEE_SUPPORT_DIVIDE_D
GMODPROC IEEE_SUPPORT_DIVIDE: IEEE_SUPPORT_DIVIDE_Q
GMODPROC IEEE_SUPPORT_DIVIDE: IEEE_SUPPORT_DIVIDE_R
GMODPROC IEEE_SUPPORT_DIVIDE: IEEE_SUPPORT_DIVIDE_X
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_D_D
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_Q_Q
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_D_Q
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_R_Q
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_Q_D
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_Q_R
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_R_D
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_D_R
GMODPROC IEEE_NEXT_AFTER: IEEE_NEXT_AFTER_R_R
GMODPROC IEEE_SUPPORT_SQRT: IEEE_SUPPORT_SQRT_D
GMODPROC IEEE_SUPPORT_SQRT: IEEE_SUPPORT_SQRT_Q
GMODPROC IEEE_SUPPORT_SQRT: IEEE_SUPPORT_SQRT_R
GMODPROC IEEE_SUPPORT_SQRT: IEEE_SUPPORT_SQRT_X
GMODPROC .NE.: IEEE_ROUND_NE
GMODPROC .NE.: IEEE_CLASS_NE
GMODPROC IEEE_REM: IEEE_REM_D_D
GMODPROC IEEE_REM: IEEE_REM_R_D
GMODPROC IEEE_REM: IEEE_REM_Q_Q
GMODPROC IEEE_REM: IEEE_REM_D_Q
GMODPROC IEEE_REM: IEEE_REM_R_Q
GMODPROC IEEE_REM: IEEE_REM_Q_D
GMODPROC IEEE_REM: IEEE_REM_Q_R
GMODPROC IEEE_REM: IEEE_REM_D_R
GMODPROC IEEE_REM: IEEE_REM_R_R
GMODPROC IEEE_SUPPORT_STANDARD: IEEE_SUPPORT_STANDARD_D
GMODPROC IEEE_SUPPORT_STANDARD: IEEE_SUPPORT_STANDARD_Q
GMODPROC IEEE_SUPPORT_STANDARD: IEEE_SUPPORT_STANDARD_R
GMODPROC IEEE_SUPPORT_STANDARD: IEEE_SUPPORT_STANDARD_X
GMODPROC IEEE_SUPPORT_UNDERFLOW_CONTROL: IEEE_SUPPORT_UNDERFLOW_CONTROL_D
GMODPROC IEEE_SUPPORT_UNDERFLOW_CONTROL: IEEE_SUPPORT_UNDERFLOW_CONTROL_Q
GMODPROC IEEE_SUPPORT_UNDERFLOW_CONTROL: IEEE_SUPPORT_UNDERFLOW_CONTROL_R
GMODPROC IEEE_SUPPORT_UNDERFLOW_CONTROL: IEEE_SUPPORT_UNDERFLOW_CONTROL_X
GMODPROC IEEE_RINT: IEEE_RINT_Q
GMODPROC IEEE_RINT: IEEE_RINT_D
GMODPROC IEEE_RINT: IEEE_RINT_R
GMODPROC IEEE_SCALB: IEEE_SCALB_D_I
GMODPROC IEEE_SCALB: IEEE_SCALB_R_I
GMODPROC IEEE_SCALB: IEEE_SCALB_D_I4
GMODPROC IEEE_SCALB: IEEE_SCALB_R_I4
GMODPROC IEEE_SCALB: IEEE_SCALB_Q_I4
GMODPROC IEEE_SCALB: IEEE_SCALB_Q_I
GMODPROC IEEE_SCALB: IEEE_SCALB_Q_I2
GMODPROC IEEE_SCALB: IEEE_SCALB_Q_I1
GMODPROC IEEE_SCALB: IEEE_SCALB_D_I2
GMODPROC IEEE_SCALB: IEEE_SCALB_R_I2
GMODPROC IEEE_SCALB: IEEE_SCALB_D_I1
GMODPROC IEEE_SCALB: IEEE_SCALB_R_I1
GMODPROC IEEE_SUPPORT_DATATYPE: IEEE_SUPPORT_DATATYPE_D
GMODPROC IEEE_SUPPORT_DATATYPE: IEEE_SUPPORT_DATATYPE_Q
GMODPROC IEEE_SUPPORT_DATATYPE: IEEE_SUPPORT_DATATYPE_R
GMODPROC IEEE_SUPPORT_DATATYPE: IEEE_SUPPORT_DATATYPE_X
GMODPROC .EQ.: IEEE_ROUND_EQ
GMODPROC .EQ.: IEEE_CLASS_EQ
GMODPROC IEEE_CLASS: IEEE_CLASS_Q
GMODPROC IEEE_CLASS: IEEE_CLASS_D
GMODPROC IEEE_CLASS: IEEE_CLASS_R
GMODPROC IEEE_SUPPORT_DENORMAL: IEEE_SUPPORT_DENORMAL_D
GMODPROC IEEE_SUPPORT_DENORMAL: IEEE_SUPPORT_DENORMAL_Q
GMODPROC IEEE_SUPPORT_DENORMAL: IEEE_SUPPORT_DENORMAL_R
GMODPROC IEEE_SUPPORT_DENORMAL: IEEE_SUPPORT_DENORMAL_X
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_D_D
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_Q_Q
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_Q_D
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_Q_R
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_D_Q
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_R_Q
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_D_R
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_R_D
GMODPROC IEEE_COPY_SIGN: IEEE_COPY_SIGN_R_R
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_D_D
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_Q_Q
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_D_Q
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_R_Q
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_Q_D
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_Q_R
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_R_D
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_D_R
GMODPROC IEEE_UNORDERED: IEEE_UNORDERED_R_R
GMODPROC IEEE_IS_FINITE: IEEE_IS_FINITE_Q
GMODPROC IEEE_IS_FINITE: IEEE_IS_FINITE_D
GMODPROC IEEE_IS_FINITE: IEEE_IS_FINITE_R
GMODPROC IEEE_SUPPORT_INF: IEEE_SUPPORT_INF_D
GMODPROC IEEE_SUPPORT_INF: IEEE_SUPPORT_INF_Q
GMODPROC IEEE_SUPPORT_INF: IEEE_SUPPORT_INF_R
GMODPROC IEEE_SUPPORT_INF: IEEE_SUPPORT_INF_X
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_44
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_43
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_42
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_41
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_34
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_32
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_31
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_24
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_23
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_22
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_21
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_14
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_13
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_12
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_11
GMODPROC IEEE_SELECTED_REAL_KIND: IEEE_SELECTED_REAL_KIND_X
GMODPROC IEEE_VALUE: IEEE_VALUE_Q
GMODPROC IEEE_VALUE: IEEE_VALUE_D
GMODPROC IEEE_VALUE: IEEE_VALUE_R
GMODPROC IEEE_IS_NAN: IEEE_IS_NAN_D
GMODPROC IEEE_IS_NAN: IEEE_IS_NAN_Q
GMODPROC IEEE_IS_NAN: IEEE_IS_NAN_R
GMODPROC IEEE_GET_ROUNDING_MODE: IEEE_GET_ROUNDING_MODE_X
GMODPROC IEEE_SUPPORT_IO: IEEE_SUPPORT_IO_D
GMODPROC IEEE_SUPPORT_IO: IEEE_SUPPORT_IO_Q
GMODPROC IEEE_SUPPORT_IO: IEEE_SUPPORT_IO_R
GMODPROC IEEE_SUPPORT_IO: IEEE_SUPPORT_IO_X
GMODPROC IEEE_IS_NEGATIVE: IEEE_IS_NEGATIVE_Q
GMODPROC IEEE_IS_NEGATIVE: IEEE_IS_NEGATIVE_D
GMODPROC IEEE_IS_NEGATIVE: IEEE_IS_NEGATIVE_R
GMODPROC IEEE_SET_ROUNDING_MODE: IEEE_SET_ROUNDING_MODE_X
GMODPROC IEEE_GET_UNDERFLOW_MODE: IEEE_GET_UNDERFLOW_MODE_X
GMODPROC IEEE_IS_NORMAL: IEEE_IS_NORMAL_Q
GMODPROC IEEE_IS_NORMAL: IEEE_IS_NORMAL_D
GMODPROC IEEE_IS_NORMAL: IEEE_IS_NORMAL_R
GMODPROC IEEE_SUPPORT_NAN: IEEE_SUPPORT_NAN_D
GMODPROC IEEE_SUPPORT_NAN: IEEE_SUPPORT_NAN_Q
GMODPROC IEEE_SUPPORT_NAN: IEEE_SUPPORT_NAN_R
GMODPROC IEEE_SUPPORT_NAN: IEEE_SUPPORT_NAN_X
GMODPROC IEEE_SET_UNDERFLOW_MODE: IEEE_SET_UNDERFLOW_MODE_X
GMODPROC IEEE_LOGB: IEEE_LOGB_Q
GMODPROC IEEE_LOGB: IEEE_LOGB_D
GMODPROC IEEE_LOGB: IEEE_LOGB_R
PROC IEEE_LOGB_Q,1,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_Q_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_ROUNDING_X,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,0,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_R_R,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_11,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,1,1,0,0,113,0,0,0,1
VAR R,3,,: 1,1,1,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SUPPORT_ROUNDING_R,2,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,0,0,1
VAR X,3,,: 2,1,4,0,0,3,0,0,1000000,1
ENDPROC
PROC IEEE_NEXT_AFTER_D_R,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_D_Q,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_12,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,1,1,0,0,113,0,0,0,1
VAR R,3,,: 1,2,2,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SUPPORT_ROUNDING_Q,2,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,0,0,1
VAR X,3,,: 2,3,f,0,0,3,0,0,1000000,1
ENDPROC
PROC IEEE_NEXT_AFTER_R_D,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_Q_R,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_ROUNDING_D,2,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,0,0,1
VAR X,3,,: 2,2,5,0,0,3,0,0,1000000,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_13,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,1,1,0,0,113,0,0,0,1
VAR R,3,,: 1,3,3,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_22,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,2,2,0,0,113,0,0,0,1
VAR R,3,,: 1,2,2,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_Q_D,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_14,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,1,1,0,0,113,0,0,0,1
VAR R,3,,: 1,4,e,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_NEXT_AFTER_R_Q,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_SQRT_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_21,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,2,2,0,0,113,0,0,0,1
VAR R,3,,: 1,1,1,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SUPPORT_SQRT_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SUPPORT_SQRT_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_NEXT_AFTER_D_D,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_SQRT_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_23,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,2,2,0,0,113,0,0,0,1
VAR R,3,,: 1,3,3,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_REM_D_R,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_REM_R_R,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_UNORDERED_D_D,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_24,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,2,2,0,0,113,0,0,0,1
VAR R,3,,: 1,4,e,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SUPPORT_STANDARD_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_REM_Q_R,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_31,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,3,3,0,0,113,0,0,0,1
VAR R,3,,: 1,1,1,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_REM_Q_D,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_STANDARD_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_REM_R_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_32,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,3,3,0,0,113,0,0,0,1
VAR R,3,,: 1,2,2,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_REM_D_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_STANDARD_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_REM_Q_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_STANDARD_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_REM_R_D,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_REM_D_D,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_41,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,4,e,0,0,113,0,0,0,1
VAR R,3,,: 1,1,1,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_RINT_R,1,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_RINT_D,1,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_UNDERFLOW_CONTROL_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_RINT_Q,1,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_34,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,3,3,0,0,113,0,0,0,1
VAR R,3,,: 1,4,e,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_43,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,4,e,0,0,113,0,0,0,1
VAR R,3,,: 1,3,3,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SCALB_R_I1,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR I,3,,: 1,1,1,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_UNDERFLOW_CONTROL_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SCALB_D_I1,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR I,3,,: 1,1,1,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_44,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,4,e,0,0,113,0,0,0,1
VAR R,3,,: 1,4,e,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SCALB_R_I2,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR I,3,,: 1,2,2,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DATATYPE_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_SUPPORT_UNDERFLOW_CONTROL_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SCALB_D_I2,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR I,3,,: 1,2,2,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DATATYPE_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SCALB_Q_I1,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR I,3,,: 1,1,1,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_CLASS_EQ,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR A,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
VAR B,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_UNDERFLOW_CONTROL_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SCALB_Q_I2,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR I,3,,: 1,2,2,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DATATYPE_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_42,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,4,e,0,0,113,0,0,0,1
VAR R,3,,: 1,2,2,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_SCALB_Q_I,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR I,3,,: 1,3,3,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_CLASS_NE,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR A,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
VAR B,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DATATYPE_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SCALB_Q_I4,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR I,3,,: 1,4,e,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_CLASS_R,1,8,0,17,0: 7,IEEE_CLASS_TYPE,b,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_ROUND_NE,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR A,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,1000,0,1
VAR B,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_CLASS_D,1,8,0,17,0: 7,IEEE_CLASS_TYPE,b,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_CLASS_Q,1,8,0,17,0: 7,IEEE_CLASS_TYPE,b,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SCALB_D_I4,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR I,3,,: 1,4,e,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DENORMAL_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_SCALB_R_I,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR I,3,,: 1,3,3,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_R_R,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,3,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SCALB_D_I,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR I,3,,: 1,3,3,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DENORMAL_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SELECTED_REAL_KIND_X,2,8,186,17,2: 1,3,3,0,0,40281,2,2800,40000,0
VAR P,3,,: 1,3,3,0,0,113,0,0,0,1
VAR R,3,,: 1,3,3,0,0,113,0,0,0,1
ENDPROC
PROC IEEE_COPY_SIGN_R_D,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,3,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DENORMAL_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_UNORDERED_R_R,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_D_R,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,3,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_UNORDERED_D_R,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DENORMAL_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_COPY_SIGN_R_Q,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,3,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_UNORDERED_R_D,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_D_Q,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,3,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_UNORDERED_Q_R,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_Q_R,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,3,0,1000,0,1
VAR Y,3,,: 2,1,4,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DIVIDE_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_UNORDERED_Q_D,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_Q_D,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,3,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DIVIDE_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_UNORDERED_R_Q,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_Q_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,3,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_ROUND_EQ,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR A,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,1000,0,1
VAR B,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DIVIDE_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_UNORDERED_D_Q,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_COPY_SIGN_D_D,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,3,0,1000,0,1
VAR Y,3,,: 2,2,5,0,0,3,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_DIVIDE_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_UNORDERED_Q_Q,2,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR Y,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_IS_FINITE_R,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_IS_FINITE_D,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_INF_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_VALUE_R,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR CLASS,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_IS_FINITE_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_INF_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_VALUE_D,2,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
VAR CLASS,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SCALB_R_I4,2,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
VAR I,3,,: 1,4,e,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_INF_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_VALUE_Q,2,8,0,17,0: 2,3,f,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
VAR CLASS,3,,: 7,IEEE_CLASS_TYPE,b,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_IS_NAN_R,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_INF_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_IS_NAN_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_IS_NAN_D,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_GET_ROUNDING_MODE_X,1,8,0,17,0: 8,0,0,0,0,40200,2,0,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,83,0,0,0,2
ENDPROC
PROC IEEE_SUPPORT_IO_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_IS_NEGATIVE_R,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_IO_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_IS_NEGATIVE_D,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SET_ROUNDING_MODE_X,1,8,0,17,4: 8,0,0,0,0,40200,2,0,40000,0
VAR ROUND_VALUE,3,,: 7,IEEE_ROUND_TYPE,b,0,0,103,0,0,0,1
ENDPROC
PROC IEEE_SUPPORT_IO_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_IS_NEGATIVE_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_IO_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_GET_UNDERFLOW_MODE_X,1,8,0,17,0: 8,0,0,0,0,40200,2,0,40000,0
VAR GRADUAL,3,,: 4,3,7,0,0,83,0,0,0,2
ENDPROC
PROC IEEE_IS_NORMAL_R,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_NAN_X,0,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
ENDPROC
PROC IEEE_IS_NORMAL_D,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_NAN_R,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,0,1000000,1
ENDPROC
PROC SELECTED_REAL_KIND,0,6,139,17,0: 1,3,3,93,0,20200,2,0,0,0
ENDPROC
PROC IEEE_IS_NORMAL_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_NAN_Q,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,3,f,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_SET_UNDERFLOW_MODE_X,1,8,0,17,6: 8,0,0,0,0,40200,2,0,40000,0
VAR GRADUAL,3,,: 4,3,7,0,0,103,0,0,0,1
ENDPROC
PROC IEEE_LOGB_R,1,8,0,17,0: 2,1,4,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,1,4,0,0,103,0,1000,0,1
ENDPROC
PROC IEEE_SUPPORT_NAN_D,1,8,0,17,0: 4,3,7,0,0,40281,2,800,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,0,1000000,1
ENDPROC
PROC IEEE_LOGB_D,1,8,0,17,0: 2,2,5,0,0,40281,2,1000,40000,0
VAR X,3,,: 2,2,5,0,0,103,0,1000,0,1
ENDPROC
END
